# aruba-central-migrate-pkg

aruba-central-migrate-pkg is a python library which is used to migrate or on-board some processes with respect to Central account via Aruba Central restAPIs to avoid the repetitive tasks by automation. The major tasks involve moving devices to groups, licensing devices, rename AP, attaching devices to Sites, Config Validations and many more. With the rollback functionality available this tool also has the ability to reverse some of these tasks like unassigning license for devices, associating groups etc.

# How To Install

    1. Install virtual env (refer https://docs.python.org/3/library/venv.html). Make sure python version 3 installed in system

    ```
    python3 -m venv centralenv
    ```

    2. Activate the virtual env
    ```
    source centralenv/bin/activate
    in windows:
    centralenv/Scripts/activate.bat

    3. Install pip package
    ```
    (centralenv)$ pip3 install aruba-central-migrate-pkg
    ```

    Now you can utilize these pip modules in the respective scripts

# Executing Scripts



# Documentation

Python package documentation

Usecases

